
Figure - 开发 Dev #110954
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110951 (New): 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】小窗移动
2022-08-02 15:57 - DL FW-王琳

Status: New Start date: 2022-08-11

Priority: High Due date: 2022-08-26

Assignee: CD FW-鲁凯峰 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

1.支持通过拖动杆操作，进行小窗移动

2.小窗的形态变化

小窗正常状态与mini状态变化

小窗内容比例需要随小窗缩放而变化

3.移动过程中的提示信息

SystemUI创建4个窗口，分布在屏幕四周，固定名字，移动过程中，系统控制窗口的显示和隐藏

自测：

1.启动应用，进入到小窗模式显示，按照UE设计要求，可进行小窗拖动操作，拖动过程中有相关提示，拖动结束后，小窗位置和形态按

照UE要求调整。

History

#1 - 2022-08-04 19:48 - CD FW-王伟

- Subject changed from 【MK】【AF】【MultiWindow】【TC-RID: 0301-0201401】小窗移动 to 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

小窗移动

#2 - 2022-09-26 15:27 - DL FW-张挽强

- % Done changed from 0 to 90

自测内容:

1.启动应用，进入到小窗模式显示，按照UE设计要求，

2.按住拖动杆可以对小窗位置进行移动

3.拖动结束后，更新小窗位置和形态按照UE要求调整。

#3 - 2022-09-26 15:39 - DL FW-张挽强

- % Done changed from 90 to 80

#4 - 2022-09-26 17:46 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930

#5 - 2022-09-27 19:20 - CD TPM-申艳艳

- Category set to 窗口定制

#6 - 2022-12-22 20:26 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader
144652 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow: Freefrom movement rules1. Support to move the small window by dragging the lever2. The shape change of the small window3. Prompt

information during movingTC-RID: 1201-0201401IssueID: TS-R-DF-110954Change-Id: I34a0790afc8492ae0ed116a369a79d9d8d3d8b21

#7 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150636 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: create windowsCreate four windows when starting the system UITC-RID: 1201-0201401IssueID: TS-R-DF-110954Change-Id:

I557cb9352fb97c381ff1a9fb90dc2fe2a4ac5b4a

#8 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151138 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow: Freefrom movement rules1.Add light sliding  freeform processing logic2.Freeform can be overlaid on the Dock barChange-Id:

Icd8f995b472e43b69f25242827dc25fb04a5b77fTC-RID: 1201-0201401IssueID: TS-R-DF-110954

#9 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152916 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow: Modify freeform parametersModify freeform parameters when starting the system UITC-RID: 1201-0201401IssueID:

TS-R-DF-110954Change-Id: I6cc26fd981b23d5fea7eefc09aaf11cdfc437022

#10 - 2023-05-10 20:57 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

199233 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: disable freeform animationdisable freeform animation to avoid rebootTC-RID: 1201-0204601IssueID: TS-R-DF-110954Change-Id:

Id786855f127c816451aefe649aa01ef9238b639f

#11 - 2023-05-11 15:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199368 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: freeform animationTC-RID: 1201-0204601IssueID: TS-R-DF-110954Change-Id: If48862ce93e49b48de821b49c20356e45ab8c6b4

#12 - 2023-06-28 11:09 - CD FW-鲁凯峰

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰
